//
//  YHSettingItem.swift
//  galaxy
//
//  Created by EDY on 2024/6/18.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

enum YHSettingType: Int {
    case normal
    case people
    case schoolToStranger
    case workToStranger
    case schoolToFriend
    case workToFriend
    case companyToStrange
}

class YHSettingItem: NSObject {
    var type: YHSettingType = .normal
    var title: String = ""
    var subTitle: String = ""
    var isSelect: Bool = true
    var isShowAlert: Bool = true
    
    init(type: YHSettingType, title: String, subTitle: String, isSelect: Bool, isShowAlert: Bool) {
        self.type = type
        self.title = title
        self.subTitle = subTitle
        self.isSelect = isSelect
        self.isShowAlert = isShowAlert
    }
}
